Не устанавливается Canon LBP 6020b на Mint 19.3

Проблемы с печатью и сканированием обсуждаем здесь.
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 17:30

Раз уж надо по теме на вопрос - ок. Сейчас закидаю кучей вопросов форум).
Указанный в теме принтер прекрасно работал на 17.2, а на 19.3 требует дополнительные библиотеки. Которые скачать невозможно: ссылка на пакеты, которую нашёл в сети, неактивна, а вручную непонятно, что именно качать - каждый файл отдельно показывается.
Система 64-разрядная, процессор AMD E2 (какой именно - не помню).
Может кто помочь?

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 17:34

horen писал(а):
13 июн 2020, 17:30
Система 64-разрядная, процессор AMD E2 (какой именно - не помню).
А система тоже не помнит ? Или вы не в ней? Для приличия можно показать хотя бы inxi -Fxz , и lsusb при подключенном принтере.

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 17:35

symon2014 писал(а):
13 июн 2020, 17:34
Или вы не в ней?
К сожалению, не в ней. Еле на форум вошёл, а система на ноуте жены. Там точно не надо сюда логиниться)).

Сейчас что-нибудь придумаю.

Аватара пользователя

rogoznik
Сообщения: 7497
Зарегистрирован: 27 июн 2017, 10:36
Решено: 83
Откуда: Нижний Тагил
Благодарил (а): 419 раз
Поблагодарили: 1333 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение rogoznik » 13 июн 2020, 17:38

Ну и не мешало бы показать что и как там просит система для установки драйвера
ИзображениеИзображение

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 17:42

А не получится показать. Он по одному же пакету показывает. Чтоб сюда список сообщить - надо каждый из них вручную поставить, чтобы он следующий показал.

Данные inxi -Fxz
System:
Host: Dasha Kernel: 5.3.0-53-generic x86_64 bits: 64 compiler: gcc
v: 7.5.0 Desktop: Xfce 4.14.1 Distro: Linux Mint 19.3 Tricia
base: Ubuntu 18.04 bionic
Machine:
Type: Laptop System: Sony product: VPCEK2S1R v: C901H4JK serial: <filter>
Mobo: Sony model: VAIO serial: <filter> BIOS: Insyde v: R0160E3
date: 06/13/2011
Battery:
ID-1: BAT0 charge: 35.0 Wh condition: 35.0/48.8 Wh (72%)
model: Sony Corp. VGP-BPS13 status: Full
CPU:
Topology: Dual Core model: AMD E-450 APU with Radeon HD Graphics bits: 64
type: MCP arch: Bobcat L2 cache: 512 KiB
flags: lm nx pae sse sse2 sse3 sse4a ssse3 svm bogomips: 6583
Speed: 1646 MHz min/max: 825/1650 MHz Core speeds (MHz): 1: 1646 2: 1646
Graphics:
Device-1: AMD Wrestler [Radeon HD 6320] vendor: Sony driver: radeon
v: kernel bus ID: 00:01.0
Display: x11 server: X.Org 1.20.5 driver: ati,radeon
unloaded: fbdev,modesetting,vesa resolution: 1366x768~60Hz
OpenGL: renderer: AMD PALM (DRM 2.50.0 / 5.3.0-53-generic LLVM 9.0.0)
v: 3.3 Mesa 19.2.8 direct render: Yes
Audio:
Device-1: AMD Wrestler HDMI Audio vendor: Sony driver: snd_hda_intel
v: kernel bus ID: 00:01.1
Device-2: AMD SBx00 Azalia vendor: Sony driver: snd_hda_intel v: kernel
bus ID: 00:14.2
Sound Server: ALSA v: k5.3.0-53-generic
Network:
Device-1: Qualcomm Atheros AR8151 v2.0 Gigabit Ethernet vendor: Sony
driver: atl1c v: 1.0.1.1-NAPI port: 2000 bus ID: 01:00.0
IF: enp1s0 state: down mac: <filter>
Device-2: Qualcomm Atheros AR9285 Wireless Network Adapter vendor: Foxconn
driver: ath9k v: kernel port: 2000 bus ID: 03:00.0
IF: wlp3s0 state: up mac: <filter>
Device-3: Atheros AR3011 Bluetooth type: USB driver: btusb bus ID: 4-2:3
Drives:
Local Storage: total: 810.43 GiB used: 322.81 GiB (39.8%)
ID-1: /dev/sda vendor: HGST (Hitachi) model: HTS541075A9E680
size: 698.64 GiB
ID-2: /dev/sdb type: USB vendor: Toshiba model: MK1234GSX size: 111.79 GiB
Partition:
ID-1: / size: 29.40 GiB used: 7.50 GiB (25.5%) fs: ext4 dev: /dev/sda5
ID-2: /boot size: 1.97 GiB used: 164.2 MiB (8.1%) fs: ext2 dev: /dev/sda1
ID-3: /home size: 651.23 GiB used: 306.01 GiB (47.0%) fs: ext4
dev: /dev/sda6
ID-4: swap-1 size: 4.00 GiB used: 524 KiB (0.0%) fs: swap dev: /dev/sda3
Sensors:
System Temperatures: cpu: 70.0 C mobo: N/A gpu: radeon temp: 69 C
Fan Speeds (RPM): N/A
Info:
Processes: 181 Uptime: 9h 28m Memory: 3.45 GiB used: 1.24 GiB (35.9%)
Init: systemd runlevel: 5 Compilers: gcc: 7.5.0 Shell: bash v: 4.4.20
inxi: 3.0.32
А вот что показал lsusb :
Bus 002 Device 003: ID 04f2:b290 Chicony Electronics Co., Ltd
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 003: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 004: ID 04a9:2771 Canon, Inc.
Bus 001 Device 003: ID 152d:2329 JMicron Technology Corp. / JMicron USA Technology Corp. JM20329 SATA Bridge
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 046d:c05a Logitech, Inc. M90/M100 Optical Mouse
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 18:03

https://imgur.com/83nAWL4.png так видит его система среди принтеров
https://imgur.com/q63NHJd.png - вот что в свойствах
https://imgur.com/tMoCJtt.png - попытка печати пробной страницы
https://imgur.com/nZEh4xi.png - очередь пуста, печати не было

Ранее в 17.2 он видел этот принтер как два: 6020 и 6020b. Печатал из разных программ на разный. Не знаю, с чем это связано было, но хоть так работал. А теперь - никак.

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 18:06

localhost:631 что нибудь показывает?

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 18:07

symon2014 писал(а):
13 июн 2020, 18:06
localhost:631 что нибудь показывает?
команда не найдена

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 18:08

horen писал(а):
13 июн 2020, 18:07
команда не найдена
это не команда , это адрес в браузере

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 18:11

https://driverscollection.com/_48644014 ... 86_64-free
попробуй , если что.

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 18:25

Установлен cups 2.2.7. Принтеров установленных нет. При выборе "добавить принтер" показывает, что некоторые установлены. Вот так: https://imgur.com/83IZ3bp.png
Для меня странно следующее:
1. Почему в списке принтеров есть один, но не печатает?
2. Почему в Cups его нет, но некие установленные видит?
3. Почему там 2 6020 и ни одного 6020b?
4. Что делать-то? Может, удалить и заново поставить, а потом настраивать уже в caps? Или можно сейчас настроить как-то?
При попытке поставить из пакета по ссылке вот такое сообщение: https://imgur.com/DkHIHjw.png
Выполнение команды ведёт к удалению пакета cndrvcups-capt

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 18:29

из 2 скрина выполни команду sudo apt install - f , все ошибки сюда.

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 18:38

symon2014 писал(а):
13 июн 2020, 18:29
из 2 скрина выполни команду sudo apt install - f , все ошибки сюда.
Нет ошибок, он просто удалил пакет. Я выше написал. При попытке заново поставить ничего не делает.

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 18:44

horen, посмотри вкладку группы , и вообще группы в системе на предмет lp , и кажется есть одноимённая команда печати из терминала.

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 18:50

Короче, через локалхост удалось установить, но возник конфликт между ними, я убил оба окончательно через "система - принтеры". Потом оттуда же поставил, он увидел соединение, но в итоге написал в свойствах: "Простаивает - Файл "/usr/lib/cups/filter/pstocapt3" недоступен: No such file or directory"
Получается, он не создал фильтр? Это же как-то решается? Может, надо где-то взять этот файл и просто ему подсунуть?

Аватара пользователя

symon2014
Сообщения: 4123
Зарегистрирован: 16 дек 2017, 18:59
Решено: 24
Откуда: Феодосия
Благодарил (а): 20 раз
Поблагодарили: 473 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение symon2014 » 13 июн 2020, 18:53

horen, не знаю , я один раз в жизни настраивал принтер у себя , старенький НР. Для прикола попробуй типа lp print file

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 13 июн 2020, 19:19

symon2014 писал(а):
13 июн 2020, 18:53
попробуй типа lp print file
Не помогло.
Поставил его через система - принтеры, видит, уже без ошибок, но не печатает даже пробную.
обновляю систему, cups предложила удалить - делаю. Завтра вернусь к теме, сейчас уже нет сил. И надо подумать, что ещё сделать. Локалхоста больше нет 631-го.

Аватара пользователя

rogoznik
Сообщения: 7497
Зарегистрирован: 27 июн 2017, 10:36
Решено: 83
Откуда: Нижний Тагил
Благодарил (а): 419 раз
Поблагодарили: 1333 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение rogoznik » 13 июн 2020, 19:36

horen писал(а):
13 июн 2020, 19:19
Локалхоста больше нет 631-го
Конечно нет, ведь
horen писал(а):
13 июн 2020, 19:19
cups предложила удалить - делаю
Я же говорил - что лучше с нуля ставить
ИзображениеИзображение

Аватара пользователя

sheridan
Сообщения: 67
Зарегистрирован: 24 фев 2020, 16:13
Откуда: Алчевск
Благодарил (а): 77 раз
Поблагодарили: 15 раз

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение sheridan » 14 июн 2020, 07:32

Попробуйте
https://help.ubuntu.ru/wiki/canon_capt
Возможно необходим файл с расширением принтера .ppd для установки в ручную
Изображение

Аватара пользователя

Автор темы
horen
Сообщения: 59
Зарегистрирован: 28 ноя 2016, 10:06
Решено: 1
Благодарил (а): 4 раза
Поблагодарили: 3 раза

Не устанавливается Canon LBP 6020b на Mint 19.3

Сообщение horen » 14 июн 2020, 08:08

sheridan писал(а):
14 июн 2020, 07:32
Возможно необходим файл с расширением принтера .ppd для установки в ручную
Этот вариант тоже попробовал. Из того архива, где установочные пакеты, взял этот файл (он есть в папке sys тоже в архиве). Удалил всё подчистую. Через настройки принтеров установил, указал ppd, но печатать так и не заставил.
В итоге сделал так:
- опять всё удалил,
- скачал deb-пакет, который просил скрипт;
- установил пакет со всеми зависимостями;
- запустил скрипт и установил принтер;
- запустил второй скрипт;
- перезагрузился;
- подключил принтер, ось увидела - начала настраивать.
В итоге в системе сейчас принтер под двумя именами: LBP6020B, который появился после установки через скрипты, и LBP6020, которым его назвала система при включении и автоматической настройке. Адреса у них разные, работает тот, что на localhost:53... (автоматически определил так, там много цифр, не запомнил все). Так было и раньше, на 17.2, видимо, это особенно принтера или установки через capt.
В любом случае, получилось. Спасибо за помощь!
Я вот думаю: надо ли дополнить этот ответ так, чтобы он стал инструкцией? Если да - сделаю.

Вернуться в «Принтеры, Сканеры, МФУ»